Subject: Re: [net-next Patch v6 3/6] octeontx2-pf: qos send queues management

From: Jakub Kicinski <[email-masked]>
Date: Fri, 7 Apr 2023 19:58:58 -0700

On Thu, 6 Apr 2023 15:51:00 +0530 Hariprasad Kelam wrote:
> Current implementation is such that the number of Send queues (SQs)
> are decided on the device probe which is equal to the number of online
> cpus. These SQs are allocated and deallocated in interface open and c
> lose calls respectively.
> 
> This patch defines new APIs for initializing and deinitializing Send
> queues dynamically and allocates more number of transmit queues for
> QOS feature.

I'm getting sparse errors from missing/misplaced __iommu markings 
I think, when buildings this.

Please make sure that no new warnings are added in a W=1 C=1 build.